<?php
/**
 * Copyright © 2015 Infomodus. All rights reserved.
 */

namespace Infomodus\Upslabel\Controller\Adminhtml\Items;

class Price extends \Infomodus\Upslabel\Controller\Adminhtml\Items
{
    protected $_handy;

    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Framework\Registry $coreRegistry,
        \Magento\Backend\Model\View\Result\ForwardFactory $resultForwardFactory,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory,
        \Infomodus\Upslabel\Helper\Handy $handy
    )
    {
        parent::__construct($context, $coreRegistry, $resultForwardFactory, $resultPageFactory);
        $this->_handy = $handy;
    }

    public function execute()
    {
        if ($this->getRequest()->getPostValue()) {
            $orderId = $this->getRequest()->getParam('order_id');
            $type = $this->getRequest()->getParam('type');
            $params = $this->getRequest()->getParams();
            $order = $this->_objectManager->get('Magento\Sales\Model\OrderRepository')->get($orderId);

            $arrPackagesOld = $params['package'];
            if (count($arrPackagesOld) > 0) {
                foreach ($arrPackagesOld AS $k => $v) {
                    $i = 0;
                    foreach ($v AS $d => $f) {
                        $arrPackages[$i][$k] = $f;
                        $i += 1;
                    }
                }
                unset($v, $k, $i, $d, $f);
                $params['package'] = $arrPackages;
            }

            $price = $this->_handy->getLabel($order, 'ajaxprice_'.$type, NULL, $params);
            if (!is_array($price) && strlen($price) > 0) {
                $price = json_decode($price, true);
                if(isset($price['price'])){
                    echo __('Price').': '.$price['price']['def']['MonetaryValue'][0].''.$price['price']['def']['CurrencyCode'][0];
                    if(isset($price['price']['negotiated']) && is_array($price['price']['negotiated']) && count($price['price']['negotiated']) > 0){
                        echo '<br />'.__('Negotiated Price').': '.$price['price']['negotiated']['MonetaryValue'][0].''.$price['price']['negotiated']['CurrencyCode'][0];
                    }
                } else if(isset($price['error'])){
                    echo $price['error'][0];
                }
                return;
            } else if (is_array($price) && count($price) > 0) {
                echo json_encode($price);
                return;
            } else {
                echo 'Error (price 1001)';
                return;
            }


        }
    }
}
