<?php
/**
 * Copyright © 2015 Infomodus. All rights reserved.
 */

namespace Infomodus\Upslabel\Controller\Adminhtml\Items;

class Save extends \Infomodus\Upslabel\Controller\Adminhtml\Items
{
    protected $_handy;

    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Framework\Registry $coreRegistry,
        \Magento\Backend\Model\View\Result\ForwardFactory $resultForwardFactory,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory,
        \Infomodus\Upslabel\Helper\Handy $handy
    )
    {
        parent::__construct($context, $coreRegistry, $resultForwardFactory, $resultPageFactory);
        $this->_handy = $handy;
    }

    public function execute()
    {
        if ($this->getRequest()->getPostValue()) {
            $orderId = $this->getRequest()->getParam('order_id');
            $type = $this->getRequest()->getParam('type');
            $shipmentId = $this->getRequest()->getParam('shipment_id', NULL);
            $redirectUrl = $this->getRequest()->getParam('redirect_path', NULL);
            $params = $this->getRequest()->getParams();
            $order = $this->_objectManager->get('Magento\Sales\Model\OrderRepository')->get($orderId);

            $arrPackagesOld = $params['package'];
            if (count($arrPackagesOld) > 0) {
                foreach ($arrPackagesOld AS $k => $v) {
                    $i = 0;
                    foreach ($v AS $d => $f) {
                        $arrPackages[$i][$k] = $f;
                        $i += 1;
                    }
                }
                unset($v, $k, $i, $d, $f);
                $params['package'] = $arrPackages;
            }

            $label = $this->_handy->getLabel($order, $type, $shipmentId, $params);
            if (TRUE === $label) {
                $labelIds = [];
                if (count($this->_handy->label) > 0) {
                    foreach ($this->_handy->label AS $label) {
                        $labelIds[] = $label->getId();
                    }
                }
                if (count($this->_handy->label2) > 0) {
                    foreach ($this->_handy->label2 AS $label2) {
                        $labelIds[] = $label2->getId();
                    }
                }
                $this->_redirect(
                    'infomodus_upslabel/items/show',
                    [
                        'label_ids' => implode(',', $labelIds),
                        'type' => $type,
                        'redirect_path' => $redirectUrl
                    ]
                );
                return;
            } else {
                $this->messageManager->addError(__('Error 10002.'));
                $this->_redirect('infomodus_upslabel/*');
                return;
            }


        }
        $this->_redirect('infomodus_upslabel/*/');
    }
}
