<?php
/**
 *
 * Copyright © 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Infomodus\Upslabel\Controller\Rma;

class FormPost extends \Infomodus\Upslabel\Controller\Rma
{
    /**
     * Customer address edit action
     *
     * @return \Magento\Framework\Controller\Result\Forward
     */
    public function execute()
    {
        $redirectUrl = null;
        if (!$this->_formKeyValidator->validate($this->getRequest())) {
            return $this->resultRedirectFactory->create()->setPath('*/*/');
        }
        $products = $this->getRequest()->getParam('product');
        $orderId = $this->getRequest()->getParam('order_id');
        $order = $this->_objectManager->get('Magento\Sales\Model\Order')->load($orderId);
        $weight = 0;
        foreach($order->getAllVisibleItems() AS $product){
            if(array_key_exists($product->getId(), $products) && is_numeric($products[$product->getId()]) && $products[$product->getId()] <= $product->getQtyShipped()){
                $weight += $product->getWeight()*$products[$product->getId()];
            }
        }
        $this->_handy->intermediate($order, 'refund');
        $this->_handy->defConfParams['package']= [$this->_handy->defPackageParams[0]];
        $this->_handy->defConfParams['package'][0]['weight'] = $weight;
        $this->_handy->getLabel(NULL, 'refund', NULL, $this->_handy->defConfParams);
        if($this->_handy->label[0]->getLstatus()==0){
            $this->messageManager->addSuccess(__('Label(s) was created'));
        } else {
            $this->messageManager->addError(__('Label(s) was not created'));
        }
        return $this->resultRedirectFactory->create()->setUrl($this->_buildUrl('sales/order/view', ['order_id' => $orderId]));
    }
}
